#ifndef ATL_stGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,128,256,576,832,960,1024,1088,1152,2304,4672
 * N : 25,128,256,576,832,960,1024,1088,1152,2304,4672
 * NB : 1,64,64,64,64,64,64,64,176,144,128
 */
#define ATL_stGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 76) (nb_) = 1; \
   else if ((n_) < 1120) (nb_) = 64; \
   else if ((n_) < 1728) (nb_) = 176; \
   else if ((n_) < 3488) (nb_) = 144; \
   else (nb_) = 128; \
}


#endif    /* end ifndef ATL_stGetNB_geqrf */
